#ifdef __cplusplus
extern "C" {
/* (MRL) I added all the indented functions prototypes - I don't know if they exist on
	the system */
#endif
#ifndef H_SCCSID
#include <sccs.h>
#endif /* ! H_SCCSID */
H_SCCSID(@(#)search.h	1.8	AIX)	/* Modified 9/17/89 01:27:29 */
/* @(#)search.h	7.1 - 87/06/16 - 00:12:37 */
/* 
 * (C) Copyright IBM Corp. 1989 
 * All Rights Reserved 
 * Licensed Materials - Property of IBM 
 */
/* HSEARCH(3C) */
typedef struct entry { char *key, *data; } ENTRY;
typedef enum { FIND, ENTER } ACTION;
        int hcreate(unsigned);
        void hdestroy();

/* TSEARCH(3C) */
typedef enum { preorder, postorder, endorder, leaf } VISIT;
        void *tsearch(const void*, void**, int(*)(const void *, const void *));
        void *tfind(const void *, void *const *, int (*)(const void *, const void *));
        void *tdelete(const void*, void**, int(*)(const void *, const void *));
        void twalk(void*,void (*)(void *, VISIT, int));

#ifdef __cplusplus
}
#endif
